mconv_ungetc(3m17n)

NAME
mconv_ungetc - Push a character back to a code converter.

SYNOPSIS
int mconv_ungetc (MConverter * converter, int c)

DESCRIPTION
Push a character back to a code converter.

The mconv_ungetc() function pushes character c back to code converter converter. Any number of characters can be pushed back. The lastly pushed back character is firstly read by the subsequent mconv_getc() call. The characters pushed back are registered only in converter; they are not written to the input source. The internal status of converter is updated appropriately.

RETURN VALUE

    If the operation was successful, mconv_ungetc() returns c. Otherwise it returns EOF and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_CODING, MERROR_CHAR

SEE ALSO

    mconv_getc(), mconv_putc(), mconv_gets()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.